KDEinit error after emerge portage

Anything that pertains to Portage

Moderator: Moderators

KDEinit error after emerge portage

Postby yonndur » Fri Sep 28, 2007 5:59

I'm using 3.3 mini on a homebuilt sempron2600. I've used several distros but am a novice with sabayon.
I did a emerge --sync today and when that completed successfully the terminal message was that it was highly recommended to emerge portage. Of course after that kde was broken :(
I followed the thread here viewtopic.php?f=55&t=3078&hilit=can%27t+start+kdeinit
but the steps there don't work-maybe that's because that thread is from the begining of the year and files have changed?
When I try to do emerge =x11 - libs/qt-3.3.6-r4 I get back a message that that's not a valid package. I'm not in my sabayon install right now.
Is there a relatively simple way to fix this problem? TIA
yonndur
Young Hen
 
Posts: 20
Joined: Wed Mar 07, 2007 15:09

Re: KDEinit error after emerge portage

Postby wolfden » Fri Sep 28, 2007 9:34

what else did you do?
an
emerge --sync
emerge portage

isn't going break KDEinit

Have you thought about getting 3.4 mini instead?

Make sure you check you md5sum and burn the disk at low speeds.
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: KDEinit error after emerge portage

Postby yonndur » Fri Sep 28, 2007 14:19

From the reading I've done it seems like updates to qt & dbus have broken kde as seen in other threads at this forum-like the one I included in my previous post, and I do recall seeing dbus & qt listed as emerge portage was finishing.
Also gentoo/sabayon claims this is a install once distro, and you're saying it really isn't.
I did break my system by doing emerge portage-and I didn't emerge or change anything else.

I can't get kde to start again & fluxbbox doesn't have the features I need so I'll just install zenwalk over this.

Moderator fell free to delete this thread.
yonndur
Young Hen
 
Posts: 20
Joined: Wed Mar 07, 2007 15:09

Re: KDEinit error after emerge portage

Postby wolfden » Sat Sep 29, 2007 17:24

Your saying two different things

things got updated, things didn't get updated -- which is it?

Yes it can be a one time install, but you need the knowledge to operate it. This isn't an easy distro for people to just use in 5 minutes. It has a learning curve.

emerge --sync <--only updates your package list

emerge portage only installs latest portage, it effects KDE none
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest